Bug 813972 - libvirt should reject invalid memory values in xml
libvirt should reject invalid memory values in xml
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.3
x86_64 Linux
medium Severity low
: rc
: ---
Assigned To: Eric Blake
Virtualization Bugs
:
Depends On: 617711 770683 796526
Blocks: 808522
  Show dependency treegraph
 
Reported: 2012-04-18 17:53 EDT by Eric Blake
Modified: 2012-06-20 02:54 EDT (History)
10 users (show)

See Also:
Fixed In Version: libvirt-0.9.10-14.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 796526
Environment:
Last Closed: 2012-06-20 02:54:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 4 dyuan 2012-04-25 03:36:09 EDT
Verified PASS with libvirt-0.9.10-14.el6.

virsh will reject the following xml:
<memory>1G</memory>
<currentMemory>1G</currentMemory>

# virsh edit xp
error: XML error: could not parse memory element ./currentMemory[1]

# virsh define /tmp/xp.xml 
error: Failed to define domain from /tmp/xp.xml
error: XML error: could not parse memory element ./currentMemory[1]

# virsh create /tmp/xp.xml 
error: Failed to create domain from /tmp/xp.xml
error: XML error: could not parse memory element ./currentMemory[1]

Reproduced this bug with libvirt-0.9.10-12.el6.
libvirt silently use <memory unit='KiB'>1</memory> instead of 1G.
Comment 6 errata-xmlrpc 2012-06-20 02:54:31 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0748.html

Note You need to log in before you can comment on or make changes to this bug.